Page MenuHomePhabricator

Flow browser test: hover failure in IE in flow_logged_in test
Closed, InvalidPublic

Description

features/flow_logged_in.feature has

When I hover over the author link
Then the talk to author link is visible

To my knowledge this has always failed in IE, e.g.

https://integration.wikimedia.org/ci/view/BrowserTests/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-windows_8-internet_explorer-sauce/12/testReport/%28root%29/Create%20new%20topic%20logged%20in/Add_new_Flow_topic_and_show_author_and_block_links/

watching the screencast, "hover over the author link" doesn't reveal the ( Talk | Block ) links though it works fine if I drive IE myself.

It sounds like the hover issue is a known problem for IE, "[webdriver] Mouse Hover not working in IE when mouse pointer inside the window", possible workarounds in http://stackoverflow.com/questions/19662045/selenium-hover-elements-with-ie

In the interim, we should disable that one part of the feature test on IE.


Version: master
Severity: normal

Details

Reference
bz67723

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:29 AM
bzimport set Reference to bz67723.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Jul 9 2014, 5:39 AM

Change 144883 had a related patch set uploaded by Spage:
Disable flow_logged_in test on IE

https://gerrit.wikimedia.org/r/144883

Change 144883 merged by jenkins-bot:
QA: Disable flow_logged_in test on IE

https://gerrit.wikimedia.org/r/144883

Resetting bug status from PATCH_TO_REVIEW to NEW as workaround was merged.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
Mattflaschen-WMF triaged this task as Low priority.Feb 10 2015, 6:55 PM

The workaround just disables the test. It would be nice to fix, though. Do you know what version of IE this is?

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 1 2015, 11:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Is this still a problem, or can this task be resolved?

SBisson added a subscriber: SBisson.Nov 2 2015, 4:11 PM

It can be closed as invalid since Flow browser tests in IE are not executed or supported for the time being.

greg closed this task as Invalid.Nov 2 2015, 6:17 PM
greg claimed this task.
greg added a subscriber: greg.

It can be closed as invalid since Flow browser tests in IE are not executed or supported for the time being.

Feel free to JFDI in addition to your comment, @SBisson :)

Restricted Application added a project: User-greg. · View Herald TranscriptNov 2 2015, 6:17 PM